# hd.h File Reference

`#include <ubixfs/ubixfs.h>`

Go to the source code of this file.

## Data Structures

struct | driveInfo

## Defines

#define | hdData 0x0
#define | hdError 0x1
#define | hdSecCount 0x2
#define | hdSecNum 0x3
#define | hdCylLow 0x4
#define | hdCylHi 0x5
#define | hdHead 0x6
#define | hdStat 0x7
#define | hdCmd 0x7

## Functions

void | initHardDisk ()
void | hdWrite (struct driveInfo *hdd, void *, uInt32, uInt32)
void | hdRead (struct driveInfo *hdd, void *, uInt32, uInt32)
int | hdReset ()
int | hdIoctl ()
int | hdStart ()
int | hdStop ()
int | hdStandby ()
int | hdInit (struct deviceNode *dev)

## Variables

driveInfo * | hdd0
driveInfo * | hdd1
driveInfo * | hdd2
driveInfo * | hdd3

## Define Documentation

#define hdCmd 0x7

#define hdCylHi 0x5

#define hdCylLow 0x4

#define hdData 0x0

#define hdError 0x1

#define hdHead 0x6

#define hdSecCount 0x2

#define hdSecNum 0x3

#define hdStat 0x7

## Function Documentation

int hdInit | ( | struct deviceNode * | dev | ) |

int hdIoctl | ( |  | ) |

void hdRead | ( | struct driveInfo * | hdd,
|  | void * | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |

int hdReset | ( |  | ) |

int hdStandby | ( |  | ) |

int hdStart | ( |  | ) |

int hdStop | ( |  | ) |

void hdWrite | ( | struct driveInfo * | hdd,
|  | void * | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |

void initHardDisk | ( |  | ) |

## Variable Documentation

struct driveInfo* hdd0

struct driveInfo* hdd1

struct driveInfo* hdd2

struct driveInfo* hdd3